- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_append_array_end()

## Synopsis

    bool
    bson_append_array_end (bson_t *bson, bson_t *child);

## Parameters

- `bson`: A bson_t.
- `child`: The bson_t initialized in a call to bson_append_array_begin().

## Description

The bson_append_array_end() function shall complete the appending of an array field started with bson_append_array_begin(). `child` is invalid after calling this function.

## Returns

Returns `true` if successful.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.